Bug 61785 - [WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform
: [WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 61644 63780
  Show dependency treegraph
 
Reported: 2011-05-31 07:30 PDT by Csaba Osztrogonác
Modified: 2011-06-30 20:07 PDT (History)
12 users (show)

See Also:


Attachments
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform (100.00 KB, patch)
2011-06-28 04:40 PDT, Fehér Zsolt
ossy: review-
ossy: commit‑queue-
Details | Formatted Diff | Diff
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform (98.50 KB, patch)
2011-06-28 04:41 PDT, Fehér Zsolt
ossy: review-
ossy: commit‑queue-
Details | Formatted Diff | Diff
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform (100.90 KB, patch)
2011-06-29 03:39 PDT, Fehér Zsolt
no flags Details | Formatted Diff | Diff
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform (102.06 KB, patch)
2011-06-29 03:47 PDT, Fehér Zsolt
no flags Details | Formatted Diff | Diff
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform (202.88 KB, patch)
2011-06-29 04:35 PDT, Fehér Zsolt
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2011-05-31 07:30:13 PDT
Now we have mac-wk2, win-wk2 and qt-wk2 WebKit2 platforms.

mac-wk2/Skipped list are used for win-wk2 and qt-wk2 platforms too. It 
is confusing a little bit for developers, so it would be better if we use 
a general wk2/Skipped list instead of mac-wk2/Skipped to disable tests which 
need layoutTestController, eventSender implementation or tests fail because 
of general WebKit2 bugs. 

What do you think about it?
Comment 1 Balazs Kelemen 2011-05-31 07:35:34 PDT
Sounds reasonable.
Comment 2 Fehér Zsolt 2011-06-28 04:40:08 PDT
Created attachment 98898 [details]
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform
Comment 3 Fehér Zsolt 2011-06-28 04:41:01 PDT
Created attachment 98899 [details]
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform
Comment 4 Csaba Osztrogonác 2011-06-28 05:02:35 PDT
Comment on attachment 98898 [details]
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform

r-, because we need only one patch. And I don't think if changes in Tools/Scripts/old-run-webkit-tests 
will be enough. There are many other occurances of mac-wk in ORWT script. Kristóf, you experimented with it,
what do you think about it?
Comment 5 Csaba Osztrogonác 2011-06-28 05:04:03 PDT
And please use git diff -M to detect file renaming.
Comment 6 Balazs Kelemen 2011-06-28 05:48:36 PDT
(In reply to comment #4)
> (From update of attachment 98898 [details])
> r-, because we need only one patch. And I don't think if changes in Tools/Scripts/old-run-webkit-tests 
> will be enough. There are many other occurances of mac-wk in ORWT script. Kristóf, you experimented with it,
> what do you think about it?

The $platform variable will still contain "mac-wk2" so there is no need to patch every place where is it used. We can assure that the patch is correct by comparing the set of tests that we run with and without it - those should be identical.
Comment 7 Fehér Zsolt 2011-06-29 03:39:51 PDT
Created attachment 99066 [details]
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform
Comment 8 Fehér Zsolt 2011-06-29 03:47:34 PDT
Created attachment 99067 [details]
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform
Comment 9 Fehér Zsolt 2011-06-29 04:35:55 PDT
Created attachment 99071 [details]
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform
Comment 10 Csaba Osztrogonác 2011-06-30 09:28:01 PDT
Comment on attachment 99071 [details]
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform

LGTM, r=me.
Comment 11 Csaba Osztrogonác 2011-06-30 09:29:34 PDT
Comment on attachment 99071 [details]
[WK2] Create a general wk2 specific LayoutTests/platform/wk2 platform

Landed in http://trac.webkit.org/changeset/90125
Comment 12 Eric Seidel 2011-06-30 20:07:00 PDT
Fixed NRWT in bug 63780.